Skip to main content
GET
/
api
/
taxii2
/
Discovery (no auth required for this endpoint)
curl "https://socdefenders.ai/api/taxii2/" \
  -H "Accept: application/taxii+json;version=2.1"
import requests

url = "https://socdefenders.ai/api/taxii2/"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://socdefenders.ai/api/taxii2/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "title": "SOC Defenders Threat Intelligence",
  "description": "TAXII 2.1 server providing curated threat intelligence from 30+ cybersecurity sources.",
  "contact": "support@socdefenders.ai",
  "default": "https://socdefenders.ai/api/taxii2/api/",
  "api_roots": [
    "https://socdefenders.ai/api/taxii2/api/"
  ]
}

Response

200 - application/taxii+json;version=2.1

TAXII 2.1 discovery resource

title
string
Example:

"SOC Defenders TAXII Server"

description
string
contact
string<email>
default
string<uri>
api_roots
string<uri>[]